// main.h
void set_notebook_page(GtkNotebook *notebook, GtkNotebookPage *page, guint page_num, gpointer *data);
void add_new_file(gchar *filename, gboolean fill);
void show_selected_item(GtkWidget *widget, GtkCTreeNode *node, gint column, gpointer data);
void unshow_selected_item(GtkWidget *widget, GtkCTreeNode *node, gint column, gpointer data);
void build_props(GtkWidget *clist, GtkWidget *text, gchar *filename);
void copy_chars(char *source, char *dest, int max_chars);
void flush_file(gchar *name);
void directory_stuff();
void save_prefs();
void adjust_sensitivity();
void adjust_props();
void set_window_title();
void display_image(gchar *image_name);
void destroy(GtkWidget *widget, gpointer data);
void kill_widget(GtkWidget *widget, GtkWidget *killer);

char gCat_dir[256] = "";
char tempfile[256] = "";
char pasteQ[256] = "";
char *item_ptrs[2];

GtkWidget *window;
GtkWidget *whole_window_box;
GtkWidget *app_bar;
GtkWidget *mdi_book;

struct opened_file
{
   GtkWidget *notebook_page;
   GtkWidget *notebook_box;
   GtkWidget *notebook_label;
   GtkWidget *table;
   GtkWidget *tree_window;
   GtkWidget *tree_widget;
   GtkWidget *image_box;
   GtkWidget *pixmapwid;
   GtkWidget *main_box;
   GtkWidget *item_text;
   GtkWidget *item_scroller;
   GtkWidget *props_box;
   GtkWidget *item_list_window;
   GtkWidget *item_list;
   GtkCTreeNode *cur_selected_node;
   gchar filename[256];
   gchar tempfile[256];
   gchar undofile[256];
   gchar image_str[256];
   gboolean saved;
   gboolean undo;
};

struct opened_file *file_list[MAX_FILES];
struct opened_file *cur_file;

gint maximum_files = 0;
gint total_files = 0;
gint total_props = 0;
gint cur_page = 0;

gboolean paste_ok = FALSE;
GtkCTreeNode *cut_node;

GtkWidget *file_selector;
GdkColor black;
GdkColor red;
GdkColor blue;
GdkColor green;
  
gchar *noimage_filename = PIXMAP_DIR "/noimage.png";
gchar *aboutimage_filename = PIXMAP_DIR "/gCatalog-about.png";

