void do_cut(GtkWidget *widget, gpointer *data)
{
   copy_file(cur_file->tempfile, cur_file->undofile);

   char input[LINE_LENGTH];
   char buffer[256] = "";
   ifstream Input;
   ofstream Output;
   ofstream PasteQ;
   Input.open(cur_file->tempfile);
   Output.open(tempfile);
   PasteQ.open(pasteQ);

   gchar *tree_text;
   gtk_ctree_node_get_pixtext(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node, 0, &tree_text, NULL, NULL, NULL);
   strcat(buffer, "name=[");
   strcat(buffer, tree_text);
   strcat(buffer, "]");
   int tree_count = 0;
   
   while(Input.getline(input, LINE_LENGTH) != NULL)
   {
      if((strstr(input, buffer)) != NULL)
      {
         PasteQ << input << endl;
         tree_count++;
         while(Input.getline(input, LINE_LENGTH) != NULL)
         {
            PasteQ << input << endl;
            if((strstr(input, "<Tree")) != NULL)
	    {
	       tree_count++;
               continue;
	    }
            if((strstr(input, "</Tree")) != NULL)
            {
               tree_count--;
            }
            if(tree_count == 0)
            {
	       Input.getline(input, LINE_LENGTH);
	       break;
	    }

         }

      }
      Output << input << endl;
   }
   Input.close();
   Output.close();
   PasteQ.close();
   copy_file(tempfile, cur_file->tempfile);
   gtk_editable_delete_text(GTK_EDITABLE(cur_file->item_text), 0, -1);
   gtk_ctree_remove_node(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node);
   cur_file->cur_selected_node = NULL;
   cur_file->saved = FALSE;
   cur_file->undo = TRUE;
   paste_ok = TRUE;
   adjust_sensitivity();
   cur_file->image_str[0] = '\0';
   display_image(cur_file->image_str);
   display_message("Item cut to paste queue.", FLASH);
}

void do_copy(GtkWidget *widget, gpointer *data)
{
   copy_file(cur_file->tempfile, cur_file->undofile);

   char input[LINE_LENGTH];
   char buffer[256] = "";
   ifstream Input;
   ofstream Output;
   ofstream PasteQ;
   Input.open(cur_file->tempfile);
   Output.open(tempfile);
   PasteQ.open(pasteQ);

   gchar *tree_text;
   gtk_ctree_node_get_pixtext(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node, 0, &tree_text, NULL, NULL, NULL);
   strcat(buffer, "name=[");
   strcat(buffer, tree_text);
   strcat(buffer, "]");
   int tree_count = 0;
   
   while(Input.getline(input, LINE_LENGTH) != NULL)
   {
      if((strstr(input, buffer)) != NULL)
      {
         Output << input << endl;
         PasteQ << input << endl;
         tree_count++;
         while(Input.getline(input, LINE_LENGTH) != NULL)
         {
            Output << input << endl;
            PasteQ << input << endl;
            if((strstr(input, "<Tree")) != NULL)
	    {
	       tree_count++;
               continue;
	    }
            if((strstr(input, "</Tree")) != NULL)
            {
               tree_count--;
            }
            if(tree_count == 0)
            {
	       Input.getline(input, LINE_LENGTH);
	       break;
	    }

         }

      }
      Output << input << endl;
   }
   Input.close();
   Output.close();
   PasteQ.close();
   copy_file(tempfile, cur_file->tempfile);
   GtkCTreeNode *temp = cur_file->cur_selected_node;
   gtk_ctree_unselect(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node);
   cur_file->saved = FALSE;
   cur_file->undo = TRUE;
   paste_ok = TRUE;
   gtk_ctree_select(GTK_CTREE(cur_file->tree_widget), temp);
   display_message("Item copied to paste queue.", FLASH);
}


void do_paste(GtkWidget *widget, gpointer *data)
{
   copy_file(cur_file->tempfile, cur_file->undofile);

   char input[LINE_LENGTH];
   char paste_text[LINE_LENGTH];
   char buffer[256] = "";

   ifstream Input;
   ifstream PasteQ;
   ofstream Output;
   Input.open(cur_file->tempfile);
   PasteQ.open(pasteQ);
   Output.open(tempfile);

   if(cur_file->cur_selected_node != NULL)
   {
      gchar *tree_text;
      gtk_ctree_node_get_pixtext(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node, 0, &tree_text, NULL, NULL, NULL);
      strcat(buffer, "name=[");
      strcat(buffer, tree_text);
      strcat(buffer, "]");

      while(Input.getline(input, LINE_LENGTH) != NULL)
      {
         Output << input << endl;
         if((strstr(input, buffer)) != NULL)
         {
            while(Input.getline(input, LINE_LENGTH) != NULL)
            {
               if((strstr(input, "Tree")) == NULL)
               {
                  Output << input << endl;
               }
               else
               {
                  while(PasteQ.getline(paste_text, LINE_LENGTH) != NULL)
                  {
	             Output << paste_text << endl;
	          }
                  Output << input << endl;
                  break;
               }
            }
         }
      }
   }
   else
   {
      while(Input.getline(input, LINE_LENGTH) != NULL)
      {
         Output << input << endl;
      }
      while(PasteQ.getline(paste_text, LINE_LENGTH) != NULL)
      {
         Output << paste_text << endl;
      }
   }
   
   Input.close();
   Output.close();
   PasteQ.close();
   copy_file(tempfile, cur_file->tempfile);
   gtk_ctree_unselect(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node);
   gtk_widget_destroy(cur_file->tree_widget);
   cur_file->tree_widget = gtk_ctree_new(1, 0);
   gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(cur_file->tree_window), cur_file->tree_widget);
   gtk_signal_connect(GTK_OBJECT(cur_file->tree_widget), "tree_select_row", GTK_SIGNAL_FUNC(show_selected_item), 0);
   gtk_signal_connect(GTK_OBJECT(cur_file->tree_widget), "tree_unselect_row", GTK_SIGNAL_FUNC(unshow_selected_item), 0);
   gtk_widget_show(cur_file->tree_widget);
   make_tree(cur_file->tree_widget, cur_file->tempfile);
   cur_file->cur_selected_node = NULL;
   cur_file->saved = FALSE;
   cur_file->undo = TRUE;
   adjust_sensitivity();
   cur_file->image_str[0] = '\0';
   display_image(cur_file->image_str);
   display_message("Item pasted.", FLASH);
}


void change_text(GtkWidget *widget, gpointer *data)
{
   GtkWidget *menu_separator;
   change_dialog_window = gtk_window_new(GTK_WINDOW_DIALOG);
   gtk_container_set_border_width(GTK_CONTAINER(change_dialog_window), 10);   

   main_dialog_box = gtk_vbox_new(FALSE, 0);
   gtk_container_add(GTK_CONTAINER(change_dialog_window), main_dialog_box);
   gtk_widget_show(main_dialog_box);

   text_dialog_box = gtk_hbox_new(FALSE, 0);
   gtk_box_pack_start(GTK_BOX(main_dialog_box), text_dialog_box, FALSE, FALSE, 5);
   gtk_widget_show(text_dialog_box);
   edited_text = gtk_text_new(0, 0);
   gtk_widget_set_usize(GTK_WIDGET(edited_text), 250, 250);
   gtk_box_pack_start(GTK_BOX(text_dialog_box), edited_text, FALSE, FALSE, 0);
   edited_scroller = gtk_vscrollbar_new(GTK_TEXT(edited_text)->vadj);
   gtk_box_pack_start(GTK_BOX(text_dialog_box), edited_scroller, FALSE, FALSE, 0);
   gtk_text_set_editable(GTK_TEXT(edited_text), TRUE);
   gtk_widget_show(edited_text);
   gtk_widget_show(edited_scroller);

   menu_separator = gtk_hseparator_new();
   gtk_box_pack_start (GTK_BOX(main_dialog_box), menu_separator, FALSE, FALSE, 10);
   gtk_widget_show (menu_separator);

   buttons_box = gtk_hbox_new(TRUE, 0);
   gtk_box_pack_end(GTK_BOX(main_dialog_box), buttons_box, FALSE, FALSE, 5);
   gtk_widget_show(buttons_box);

   ok_button = gtk_button_new_with_label(" OK ");
   gtk_widget_set_usize(ok_button, 65, 26);
   gtk_box_pack_start(GTK_BOX(buttons_box), ok_button, FALSE, FALSE, 15);
   gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(save_text), GTK_OBJECT(edited_text));
   gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(kill_widget), GTK_OBJECT(change_dialog_window));
   gtk_widget_show(ok_button);

   cancel_button = gtk_button_new_with_label("Cancel");
   gtk_widget_set_usize(cancel_button, 65, 26);
   gtk_box_pack_start(GTK_BOX(buttons_box), cancel_button, FALSE, FALSE, 15);   
   gtk_signal_connect(GTK_OBJECT(cancel_button), "clicked", GTK_SIGNAL_FUNC(kill_widget), GTK_OBJECT(change_dialog_window));
   gtk_widget_show(cancel_button);

   gchar *all_text = gtk_editable_get_chars(GTK_EDITABLE(cur_file->item_text), 0, -1);
   gtk_text_insert(GTK_TEXT(edited_text), 0, &black, 0, all_text, -1);
   gtk_widget_grab_focus(GTK_WIDGET(ok_button));
   gtk_widget_show(change_dialog_window);
}


void save_text(GtkWidget *widget, GtkWidget *text)
{
   copy_file(cur_file->tempfile, cur_file->undofile);
   gtk_editable_delete_text(GTK_EDITABLE(cur_file->item_text), 0, -1);
   gchar *all_text = gtk_editable_get_chars(GTK_EDITABLE(text), 0, -1);

   char input[LINE_LENGTH];
   char buffer[256] = "";
   ifstream Input;
   ofstream Output;
   Input.open(cur_file->tempfile);
   Output.open(tempfile);

   gchar *tree_text;
   gtk_ctree_node_get_text(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node, 0, &tree_text);
   strcat(buffer, "name=[");
   strcat(buffer, tree_text);
   strcat(buffer, "]");
   
   while(Input.getline(input, LINE_LENGTH) != NULL)
   {
      if((strstr(input, buffer)) != NULL)
      {
         Output << input << endl;
         Output << all_text << endl;
         do
         {
            Input.getline(input, LINE_LENGTH);
         }
         while((strstr(input, "Tree")) == NULL);
      }
      Output << input << endl;
   }
   Input.close();
   Output.close();
   copy_file(tempfile, cur_file->tempfile);
   GtkCTreeNode *temp = cur_file->cur_selected_node;
   gtk_ctree_unselect(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node);
   cur_file->saved = FALSE;
   cur_file->undo = TRUE;
   gtk_ctree_select(GTK_CTREE(cur_file->tree_widget), temp);
   display_message("Text changed.", FLASH);
}      

      
void change_image(GtkWidget *widget, gpointer *data)
{
   GtkWidget *menu_separator;
   change_dialog_window = gtk_window_new(GTK_WINDOW_DIALOG);
   gtk_container_set_border_width(GTK_CONTAINER(change_dialog_window), 10);   

   main_dialog_box = gtk_vbox_new(FALSE, 0);
   gtk_container_add(GTK_CONTAINER(change_dialog_window), main_dialog_box);
   gtk_widget_show(main_dialog_box);

   pixmap_entry = gnome_pixmap_entry_new("n/a", "Change Image", 1);
   gtk_box_pack_start(GTK_BOX(main_dialog_box), pixmap_entry, FALSE, FALSE, 10);
   gnome_pixmap_entry_set_preview_size(GNOME_PIXMAP_ENTRY(pixmap_entry), 250, 250);
   gtk_widget_show(pixmap_entry);

   menu_separator = gtk_hseparator_new();
   gtk_box_pack_start (GTK_BOX(main_dialog_box), menu_separator, FALSE, FALSE, 10);
   gtk_widget_show (menu_separator);

   buttons_box = gtk_hbox_new(TRUE, 0);
   gtk_box_pack_end(GTK_BOX(main_dialog_box), buttons_box, FALSE, FALSE, 5);
   gtk_widget_show(buttons_box);

   ok_button = gtk_button_new_with_label(" OK ");
   gtk_widget_set_usize(ok_button, 65, 26);
   gtk_box_pack_start(GTK_BOX(buttons_box), ok_button, FALSE, FALSE, 15);
   gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(save_image), 0);
   gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(kill_widget), GTK_OBJECT(change_dialog_window));
   gtk_widget_show(ok_button);

   cancel_button = gtk_button_new_with_label("Cancel");
   gtk_widget_set_usize(cancel_button, 65, 26);
   gtk_box_pack_start(GTK_BOX(buttons_box), cancel_button, FALSE, FALSE, 15);   
   gtk_signal_connect(GTK_OBJECT(cancel_button), "clicked", GTK_SIGNAL_FUNC(kill_widget), GTK_OBJECT(change_dialog_window));
   gtk_widget_show(cancel_button);

   GtkWidget *entry;
   entry = gnome_file_entry_gtk_entry(GNOME_FILE_ENTRY(GNOME_PIXMAP_ENTRY(pixmap_entry)->fentry));
   gtk_entry_set_text(GTK_ENTRY(entry), cur_file->image_str);
   gtk_widget_grab_focus(GTK_WIDGET(ok_button));
   gtk_widget_show(change_dialog_window);
}


void save_image(GtkWidget *widget, gpointer *data)
{
   copy_file(cur_file->tempfile, cur_file->undofile);

   char input[LINE_LENGTH];
   char buffer[256] = "";
   char *char_ptr;

   ifstream Input;
   ofstream Output;
   Input.open(cur_file->tempfile);
   Output.open(tempfile);

   gchar *tree_text;
   gtk_ctree_node_get_text(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node, 0, &tree_text);
   strcat(buffer, "name=[");
   strcat(buffer, tree_text);
   strcat(buffer, "]");

   while(Input.getline(input, LINE_LENGTH) != NULL)
   {
      if((strstr(input, buffer)) != NULL)
      {
         if((char_ptr = strstr(input, "image=[")) != NULL)
	 {
	    char_ptr += 6;
            *char_ptr = '\0';
            char_ptr++;
	    while((*char_ptr != ']') && (*char_ptr != '\0'))
	       char_ptr++;
            Output << input << "[" << gnome_pixmap_entry_get_filename(GNOME_PIXMAP_ENTRY(pixmap_entry)) << char_ptr << endl;
            *input = '\0';
	 }
	 else
	 {
            if((char_ptr = strrchr(input, '>')) != NULL)
	    {
	       *char_ptr = '\0';
	       Output << input << " image=[" << gnome_pixmap_entry_get_filename(GNOME_PIXMAP_ENTRY(pixmap_entry)) << "]>" << endl;
               *input = '\0';
	    }
	 }
      }
      Output << input << endl;
   }
   Input.close();
   Output.close();
   copy_file(tempfile, cur_file->tempfile);
   GtkCTreeNode *temp = cur_file->cur_selected_node;
   gtk_ctree_unselect(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node);
   cur_file->saved = FALSE;
   cur_file->undo = TRUE;
   gtk_ctree_select(GTK_CTREE(cur_file->tree_widget), temp);
   display_message("Image changed.", FLASH);
}      


void insert_new_cat(GtkWidget *widget, gpointer *data)
{
   change_dialog_window = gtk_window_new(GTK_WINDOW_DIALOG);
   gtk_window_set_title(GTK_WINDOW(change_dialog_window), "Insert new category");
   gtk_widget_set_usize(GTK_WIDGET(change_dialog_window), 350,135);
   gtk_container_set_border_width(GTK_CONTAINER(change_dialog_window), 10);   
   main_dialog_box = gtk_vbox_new(FALSE, 0);
   gtk_container_add(GTK_CONTAINER(change_dialog_window), main_dialog_box);
   gtk_widget_show(main_dialog_box);

   entry_dialog_box = gtk_hbox_new(FALSE, 0);
   gtk_box_pack_start(GTK_BOX(main_dialog_box), entry_dialog_box, FALSE, FALSE, 0);
   gtk_widget_show(entry_dialog_box);
   dialog_label = gtk_label_new("Category Name:");
   gtk_box_pack_start(GTK_BOX(entry_dialog_box), dialog_label, FALSE, FALSE, 0);
   gtk_widget_show(dialog_label);   
   dialog_entry = gtk_entry_new();
   gtk_box_pack_start(GTK_BOX(entry_dialog_box), dialog_entry, FALSE, FALSE, 0);
   gtk_widget_show(dialog_entry);   

   buttons_box = gtk_hbox_new(FALSE, 0);
   gtk_box_pack_end(GTK_BOX(main_dialog_box), buttons_box, FALSE, FALSE, 5);
   gtk_widget_show(buttons_box);

   cancel_button = gtk_button_new_with_label("Cancel");
   gtk_widget_set_usize(cancel_button, 65, 26);
   gtk_box_pack_end(GTK_BOX(buttons_box), cancel_button, FALSE, FALSE, 5);   
   gtk_signal_connect(GTK_OBJECT(cancel_button), "clicked", GTK_SIGNAL_FUNC(kill_widget), GTK_OBJECT(change_dialog_window));
   gtk_widget_show(cancel_button);

   ok_button = gtk_button_new_with_label(" OK ");
   gtk_widget_set_usize(ok_button, 65, 26);
   gtk_box_pack_end(GTK_BOX(buttons_box), ok_button, FALSE, FALSE, 5);
   gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(insert_cat), GTK_OBJECT(dialog_entry));
   gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(kill_widget), GTK_OBJECT(change_dialog_window));
   gtk_widget_show(ok_button);
   gtk_widget_show(change_dialog_window);
}


void insert_cat(GtkWidget *widget, gpointer *data)
{
   copy_file(cur_file->tempfile, cur_file->undofile);
   GtkCTreeNode *new_node;
   gchar *cat_name;
   cat_name = gtk_entry_get_text(GTK_ENTRY(dialog_entry));
   new_node = gtk_ctree_insert_node(GTK_CTREE(cur_file->tree_widget), NULL, NULL, &cat_name, 0, NULL, NULL, NULL, NULL, FALSE, TRUE);

   char input[LINE_LENGTH];
   char buffer[256] = "";
   ifstream Input;
   ofstream Output;

   Input.open(cur_file->tempfile);
   Output.open(tempfile);

   while(Input.getline(input, LINE_LENGTH) != NULL)
   {
      Output << input << endl;
   }
   Output << "<Tree name=[" << cat_name << "] image=[]>" << endl;
   Output << cat_name << " page." << endl;
   Output << "</Tree>" << endl;
   Output << input << endl;
   Input.close();
   Output.close();
   copy_file(tempfile, cur_file->tempfile);
   gtk_ctree_unselect(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node);
   cur_file->saved = FALSE;
   cur_file->undo = TRUE;
   gtk_ctree_select(GTK_CTREE(cur_file->tree_widget), new_node);
   display_message("New category created.", FLASH);
}


void insert_new_item(GtkWidget *widget, gpointer *data)
{
   change_dialog_window = gtk_window_new(GTK_WINDOW_DIALOG);
   gtk_window_set_title(GTK_WINDOW(change_dialog_window), "Insert new category");
   gtk_widget_set_usize(GTK_WIDGET(change_dialog_window), 350,135);
   gtk_container_set_border_width(GTK_CONTAINER(change_dialog_window), 10);   
   main_dialog_box = gtk_vbox_new(FALSE, 0);
   gtk_container_add(GTK_CONTAINER(change_dialog_window), main_dialog_box);
   gtk_widget_show(main_dialog_box);

   entry_dialog_box = gtk_hbox_new(FALSE, 0);
   gtk_box_pack_start(GTK_BOX(main_dialog_box), entry_dialog_box, FALSE, FALSE, 0);
   gtk_widget_show(entry_dialog_box);
   dialog_label = gtk_label_new("Item Name:");
   gtk_box_pack_start(GTK_BOX(entry_dialog_box), dialog_label, FALSE, FALSE, 0);
   gtk_widget_show(dialog_label);
   dialog_entry = gtk_entry_new();
   gtk_box_pack_start(GTK_BOX(entry_dialog_box), dialog_entry, FALSE, FALSE, 0);
   gtk_widget_show(dialog_entry);   

   buttons_box = gtk_hbox_new(FALSE, 0);
   gtk_box_pack_end(GTK_BOX(main_dialog_box), buttons_box, FALSE, FALSE, 5);
   gtk_widget_show(buttons_box);

   cancel_button = gtk_button_new_with_label("Cancel");
   gtk_widget_set_usize(cancel_button, 65, 26);
   gtk_box_pack_end(GTK_BOX(buttons_box), cancel_button, FALSE, FALSE, 5);   
   gtk_signal_connect(GTK_OBJECT(cancel_button), "clicked", GTK_SIGNAL_FUNC(kill_widget), GTK_OBJECT(change_dialog_window));
   gtk_widget_show(cancel_button);

   ok_button = gtk_button_new_with_label(" OK ");
   gtk_widget_set_usize(ok_button, 65, 26);
   gtk_box_pack_end(GTK_BOX(buttons_box), ok_button, FALSE, FALSE, 5);
   gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(insert_item), GTK_OBJECT(dialog_entry));
   gtk_signal_connect(GTK_OBJECT(ok_button), "clicked", GTK_SIGNAL_FUNC(kill_widget), GTK_OBJECT(change_dialog_window));
   gtk_widget_show(ok_button);
   gtk_widget_show(change_dialog_window);
}


void insert_item(GtkWidget *widget, gpointer *data)
{
   copy_file(cur_file->tempfile, cur_file->undofile);
   GtkCTreeNode *new_node;
   gchar *item_name;
   item_name = gtk_entry_get_text(GTK_ENTRY(dialog_entry));
   new_node = gtk_ctree_insert_node(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node, NULL, &item_name, 0, NULL, NULL, NULL, NULL, FALSE, TRUE);

   char input[LINE_LENGTH];
   char buffer[256] = "";

   ifstream Input;
   ofstream Output;
   Input.open(cur_file->tempfile);
   Output.open(tempfile);

   gchar *tree_text;
   gtk_ctree_node_get_pixtext(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node, 0, &tree_text, NULL, NULL, NULL);
   strcat(buffer, "name=[");
   strcat(buffer, tree_text);
   strcat(buffer, "]");

   while(Input.getline(input, LINE_LENGTH) != NULL)
   {
      Output << input << endl;
      if((strstr(input, buffer)) != NULL)
      {
         while(Input.getline(input, LINE_LENGTH) != NULL)
         {
            if((strstr(input, "Tree")) == NULL)
            {
               Output << input << endl;
            }
            else
            {
               Output << "<Tree name=[" << item_name << "] image=[]>" << endl;
               Output << item_name << " page." << endl;
               Output << "</Tree>" << endl;
               Output << input << endl;
               break;
            }
         }
      }
   }
   Input.close();
   Output.close();
   copy_file(tempfile, cur_file->tempfile);
   gtk_ctree_unselect(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node);
   cur_file->saved = FALSE;
   cur_file->undo = TRUE;
   gtk_ctree_select(GTK_CTREE(cur_file->tree_widget), new_node);
   display_message("New item created.", FLASH);
}


void delete_item(GtkWidget *widget, gpointer *data)
{
   copy_file(cur_file->tempfile, cur_file->undofile);

   char input[LINE_LENGTH];
   char buffer[256] = "";
   ifstream Input;
   ofstream Output;
   Input.open(cur_file->tempfile);
   Output.open(tempfile);

   gchar *tree_text;
   gtk_ctree_node_get_pixtext(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node, 0, &tree_text, NULL, NULL, NULL);
   strcat(buffer, "name=[");
   strcat(buffer, tree_text);
   strcat(buffer, "]");
   int tree_count = 0;
   
   while(Input.getline(input, LINE_LENGTH) != NULL)
   {
      if((strstr(input, buffer)) != NULL)
      {
         tree_count++;
         while(Input.getline(input, LINE_LENGTH) != NULL)
         {
            if((strstr(input, "<Tree")) != NULL)
	    {
	       tree_count++;
               continue;
	    }
            if((strstr(input, "</Tree")) != NULL)
            {
               tree_count--;
            }
            if(tree_count == 0)
            {
	       Input.getline(input, LINE_LENGTH);
	       break;
	    }

         }

      }
      Output << input << endl;
   }
   Input.close();
   Output.close();
   copy_file(tempfile, cur_file->tempfile);
   gtk_editable_delete_text(GTK_EDITABLE(cur_file->item_text), 0, -1);
   gtk_ctree_remove_node(GTK_CTREE(cur_file->tree_widget), cur_file->cur_selected_node);
   cur_file->cur_selected_node = NULL;
   cur_file->saved = FALSE;
   cur_file->undo = TRUE;
   adjust_sensitivity();
   cur_file->image_str[0] = '\0';
   display_image(cur_file->image_str);
   display_message("Item deleted.", FLASH);
}


void undo_last(GtkWidget *widget, gpointer *data)
{
   copy_file(cur_file->tempfile, tempfile);
   copy_file(cur_file->undofile, cur_file->tempfile);
   copy_file(tempfile, cur_file->undofile);
   gtk_widget_destroy(cur_file->tree_widget);
   cur_file->tree_widget = gtk_ctree_new(1, 0);
   gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(cur_file->tree_window), cur_file->tree_widget);
   gtk_signal_connect(GTK_OBJECT(cur_file->tree_widget), "tree_select_row", GTK_SIGNAL_FUNC(show_selected_item), 0);
   gtk_signal_connect(GTK_OBJECT(cur_file->tree_widget), "tree_unselect_row", GTK_SIGNAL_FUNC(unshow_selected_item), 0);
   gtk_widget_show(cur_file->tree_widget);
   make_tree(cur_file->tree_widget, cur_file->tempfile);
   cur_file->cur_selected_node = NULL;
   adjust_sensitivity();
   display_message("Last action undone.", FLASH);
}   

void display_message(char *text, gint type)
{
   if(type == FLASH)
      gnome_app_flash(GNOME_APP(window), text);
   if(type == ERROR)
      gnome_app_error(GNOME_APP(window), text);
   if(type == WARNING)
      gnome_app_warning(GNOME_APP(window), text);
}
