
void make_tree(GtkWidget *tree, const char *filename)
{
   GtkCTreeNode *sub_trees[20];
   char buffer[LINE_LENGTH];
   char *char_ptr;
   char *str_ptr;
   int tree_counter = 0;
   ifstream Input;
   Input.open(filename);
   
   if(!Input)
   {
      display_message("File is not accessible.", ERROR);
      return;
   }
   
   sub_trees[0] = NULL;   // point this to the root tree.
   
   while(Input.getline(buffer, LINE_LENGTH) != NULL)
   {
      if(((strstr(buffer, "<Tree ")) != NULL) && ((char_ptr = strstr(buffer, "name=[")) != NULL))
      {
         char_ptr += 6;
         str_ptr = char_ptr;
	 while((*char_ptr != ']') && (*char_ptr != '\0'))
	    char_ptr++;
         *char_ptr = '\0';

         sub_trees[tree_counter + 1] = gtk_ctree_insert_node(GTK_CTREE(cur_file->tree_widget), sub_trees[tree_counter], NULL, &str_ptr, 0, NULL, NULL, NULL, NULL, FALSE, TRUE);
         tree_counter++;
         continue;
      }
      if((strstr(buffer, "</Tree>")) != NULL)
      {
         tree_counter--;         
         continue;
      }
   }
   Input.close();
}
         
         
