// options.h
void change_settings(int number);
void save_settings(GtkWidget *widget, gpointer *data);
void get_defaults(GtkWidget *widget, gpointer *data);
void get_backups(GtkWidget *widget, gpointer *data);
GtkWidget *make_button(gchar *button_text, gint *value, GtkWidget *which_box);
void toggle_value(GtkWidget *w, gint *value);
void write_file_to_gtktext(gchar *filename, GtkWidget *text, GdkColor *color);

GtkWidget *allow_edit;
GtkWidget *allow_images;
GtkWidget *allow_props;
GtkWidget *save_button;
GtkWidget *defaults_button;
GtkWidget *undo_button;

#define PREFS 3
#define ALLOW_EDIT 0
#define SHOW_IMAGES 1
#define SHOW_PROPS 2
char *prefs[PREFS] = { "ALLOW_EDIT", "SHOW_IMAGES", "SHOW_PROPS" };
int default_prefs[PREFS] = { 1, 1, 1 };
int backup_prefs[PREFS] = { 0, 0, 0 };
int cur_prefs[PREFS] = { 0, 0, 0 };
